#!/bin/bash
########################
#gedit+mspgcc+mspdebug
#chendianbuji@gmail.com
########################
function gmmScanAllHeadFile(){
	
	local getLibPath=`cat ~/.gmm/.gmmrc |grep "^libPath="`
	local libPath=${getLibPath#*=}
	
	local mcuTypeList=`ls -p -A -1 $libPath|grep "^msp430"|grep ".h$"`
	
	local liveProDir=`cat ~/.gmm/.GMMCLOCK`
	local gmmPro=$liveProDir
	local mcuType=`cat $gmmPro|grep "^mcuType="`
	local mcuType=${mcuType#*=}
	
	if [ ${#mcuType} -eq 0 ] ; then
		local headfile=""
	else
		local headfile="当前器件: "$mcuType
	fi
	
	if [ ${#mcuTypeList} -eq 0 ] ; then
		zenity --name=gmm --class=gmm --info --text="对不起，没有发现任何H文档" --no-wrap --icon-name="" --title="" --ok-label="无奈接受"
		#echo "hehe"	
		return 0
	fi
	local hFile=`zenity --name=gmm --class=gmm --list --text="$headfile" --title="h文档" --width=300 --height=500 --column="列表(.h)" $mcuTypeList`
	
	if [ ${#hFile} -eq 0 ] ; then
		
		return 0
	else
		local needExit=`zenity --name=gmm --class=gmm --text-info --filename=$libPath/$hFile --width=600 --height=600 --title=$hFile"(只读)"  --ok-label="返回" --cancel-label="退出"  --editable`
		if [ ${#needExit} -eq 0 ] ; then
			return 1
		fi
		
	fi


}
gmmScanAllHeadFile
exit
