#!/bin/bash
########################
#gedit+mspgcc+mspdebug
#chendianbuji@gmail.com
########################
function gmmScanSupport(){
	local getSupPath=`cat ~/.gmm/.gmmini |grep "^supportPath="`
	local supPath=${getSupPath#*=}
	local supPath=$HOME/${supPath#*~}
	local supList=`ls -p -A -1 "$supPath" |grep -v ".sh$"|grep -v "~$"|grep -E '(.txt$)|(.cpp$)|(.c$)|(.h$)'`
	
	
	
	
	
	
	if [ ${#supList} -eq 0 ] ; then
		zenity --name=gmm --class=gmm --info --text="对不起，没有发现任何帮助文档" --no-wrap --icon-name="" --title="" --ok-label="无奈接受"
		#echo "hehe"	
		return 0
	fi
	local supportFile=`zenity --name=gmm --class=gmm --list --text="" --title="帮助文档" --width=300 --height=500 --column="列表(txt,c,cpp,h)" $supList`
	
	if [ ${#supportFile} -eq 0 ] ; then
		
		return 0
	else
		local needExit=`zenity --name=gmm --class=gmm --text-info --filename=$supPath/$supportFile --width=600 --height=600 --title=$supportFile"(只读)"  --ok-label="返回" --cancel-label="退出"  --editable`
		if [ ${#needExit} -eq 0 ] ; then
			return 1
		fi
		
	fi


}
gmmScanSupport
exit
