#!/bin/bash
########################
#gedit+mspgcc+mspdebug
#chendianbuji@gmail.com
########################
function setLivePro(){
	local liveProDir=`cat ~/.gmm/.GMMCLOCK`
	if [ ${#liveProDir} -eq 0 ] ; then
		echo "没有活动工程，请设置"
		notify-send  "没有活动工程" "请设置"
		return 2
	else
		echo "活动工程: $liveProDir"
	fi
	
	local gmmPro=$liveProDir
	
	
	local gmmProName=${gmmPro##*/}

	echo $gmmPro>~/.gmm/.GMMCLOCK
	local isClockCreate=`echo $?`

	
	
	local mainName=`cat $gmmPro|grep "^mainName="`
	local mainName=${mainName#*=}
	local gmmDir=`cat $gmmPro|grep "^gmmDir="`
	local gmmDir=${gmmDir#*=}
	
	local gmmSuc=`cat $gmmPro|grep "^successfulCreate$"`
	if [ ${#gmmSuc} -eq 0 ] ; then
		echo "ERROR: 工程当初未能成功建立，无法使用，请修复"
		local CURTIME=$(date +%Y-%m-%d" "%H":"%M":"%S)
		echo $CURTIME
		return 2
	fi
	
	exec gedit $gmmDir"/"$mainName &
	
	
	if [ $isClockCreate -eq 0 ] ;then
			echo "打开工程: "$gmmProName
			local CURTIME=$(date +%Y-%m-%d" "%H":"%M":"%S)
			echo $CURTIME
			notify-send "打开 $gmmProName" "当前活动工程 $liveProDir"
			return 0
	else 
		echo "ERROR: 活动工程打开失败 当前活动工程  $liveProDir"
		local CURTIME=$(date +%Y-%m-%d" "%H":"%M":"%S)
		echo $CURTIME
		notify-send "打开失败" "当前活动工程  $liveProDir"
		return 2	
	fi
}
setLivePro
exit
