#!/bin/bash
########################
#gedit+mspgcc+mspdebug
#chendianbuji@gmail.com
########################
function recoverPro(){
	local needExit=`zenity --name=gmm --class=gmm --info --text="请选择要修复的工程文件(*.gmm)" --no-wrap --icon-name="" --title=""`


	local gmmPro=`zenity --name=gmm --class=gmm --file-selection --filename=*.gmm --file-filter=*.gmm --save --title="选择工程文件-修复MSP430工程"`
	echo "--------------------------------"
	echo "gedit + mspgcc"
	echo "chendianbuji@gmail.com for help"
	echo "--------------------------------"
	#echo $gmmPro
	if [ "$gmmPro" != "" ] ;then
		local gmmPro=$gmmPro
		echo "重新生成: "$gmmPro
		echo "检测中..."
	else 
		echo "取消修复"
		return 2
	fi



	local gmmDir=${gmmPro%/*}
	local gmmProName=${gmmPro##*/}

	#检测当前目录下活动工程是否冲突
	#reLivePro=`ls -p -A $gmmDir|grep "^.GMMCLOCK$"`
	#if [ ${#reLivePro} -ne 0 ];then
	#	echo "ERROR: 当前目录下已有活动工程,无法在此目录重复创建" 
	#	zenity --error --text="请不要在同一目录(文件夹)下创建多个工程" --title="gmm-ERROR" --no-wrap
		#return 2
	#fi
	#ls -p -A -1|grep -v "$gmmProName"
	#echo $gmmProName
	#echo $gmmProName>$gmmPro
	echo "gmmDir="$gmmDir>$gmmPro
	local isProCreate=`echo $?`
	echo "gmmProName="$gmmProName>>$gmmPro
	#echo "isProCreate=$isProCreate"
	if [ $isProCreate -eq 0 ] ;then
		echo "开始修复: "$gmmPro
	else 
		echo "ERROR:未成功修复"
		return 2	
	fi

	
	
	
	local needExit=`zenity --name=gmm --class=gmm --info --text="请选择要修复工程的main函数所在文件(c,cpp)" --no-wrap --icon-name="" --title=""`
	
	#选择主文件
	local mainFileDir=`zenity --name=gmm --class=gmm --file-selection  --file-filter="c,cpp|*.c *.cpp" --title="选择主文件-修复MSP430工程"`	
	if [ "$mainFileDir" = "" ] ;then
		echo "取消修复"
		return 2
	fi
	
	local mainFileName=${mainFileDir##*/}
	local gmmProType=${mainFileName#*.}
	#设置文件类型
	local gmmProType="."$gmmProType
	echo "文件类型: "$gmmProType
	echo "gmmProType="$gmmProType>>$gmmPro	
	
	#主文件名
	echo "mainName=$mainFileName">>$gmmPro
	echo "主文件名: "$mainFileName
	#notify-send "工程$gmmProName创建成功" "mcu型号:$mcuType"
	echo "compileStyle=[auto on]自动模式">>$gmmPro
	echo "编译方式: [auto on]">>$gmmPro
	
	
	#Mcu型号
	local getLibPath=`cat ~/.gmm/.gmmrc |grep "^libPath="`
	local libPath=${getLibPath#*=}
	
	if [ ${#libPath} -eq 0 ] ; then
		zenity --error --no-wrap --title="错误信息" --text="ERROR: h文件库目录丢失，请重新设置"
		echo "ERROR: h文件库目录丢失，请重新设置"
		return 2;
	fi
	
	local mcuTypeList=`ls -p -A -1 $libPath|grep "^msp430"|grep ".h$"`

	local mcuHeadfile=`zenity --name=gmm --class=gmm --list --text="" --title="设置工程属性" --width=300 --height=500 --column="MSP430型号" $mcuTypeList`
	local mcuType=${mcuHeadfile%.*}
	if [ ${#mcuType} -eq 0 ] ; then
		echo "器件型号: 未设置"
		echo "取消修复"
		return 1
	else
		echo "mcuType=$mcuType">>$gmmPro
		echo "mcuHeadfile=$mcuHeadfile">>$gmmPro
		echo "器件型号: $mcuType"
	fi
	
	
	
	
	#设置下载方式
	local downloadMethod=`zenity --name=gmm --class=gmm --list --text="" --title="设置工程属性" --width=300 --height=240 --column="MSP430 Driver(下载方式)" "rf2500[USB LaunchPad]" "uif[FET430UIF JATG]"`
	if [ ${#downloadMethod} -eq 0 ] ; then
		echo "下载方式: 未设置"
		echo "取消修复"
		return 1
	else
		echo "downloadMethod=$downloadMethod">>$gmmPro
		echo "下载方式: $downloadMethod"
	fi
	
	
	
	
	
	
	
	
	echo $gmmPro>~/.gmm/.GMMCLOCK
	local isClockCreate=`echo $?`
	
	local liveProDir=`cat ~/.gmm/.GMMCLOCK`

	if [ $isClockCreate -eq 0 ] ;then
			echo "工程修复成功 "$gmmProName
			echo "successfulCreate">>$gmmPro
			notify-send "工程$gmmProName修复成功   型号:$mcuType" "当前活动工程  $liveProDir"
			local CURTIME=$(date +%Y-%m-%d" "%H":"%M":"%S)
			echo $CURTIME
	else 
		echo "工程修复成功 "$gmmProName
		echo "ERROR:活动工程设置失败 当前活动工程  $liveProDir"
		notify-send "工程$gmmProName修复成功   型号:$mcuType $gmmProName活动工程设置失败" "当前活动工程  $liveProDir"
		return 2	
	fi
	local mainName=`cat $gmmPro|grep "^mainName="`
	local mainName=${mainName#*=}
	local gmmDir=`cat $gmmPro|grep "^gmmDir="`
	local gmmDir=${gmmDir#*=}
	exec gedit $gmmDir"/"$mainName &
	bash ~/.gmm/gmMenu.sh
}
recoverPro
exit
