#!/bin/bash
########################
#gedit+mspgcc+mspdebug
#chendianbuji@gmail.com
########################		
function setDownloadMethod(){
	local liveProDir=`cat ~/.gmm/.GMMCLOCK`
	if [ ${#liveProDir} -eq 0 ] ; then
		echo "没有活动工程，请设置"
		return 2
	else
		echo "活动工程: $liveProDir"
	fi
	
	local gmmPro=$liveProDir
	#设置下载方式
	local downloadMethod=`zenity --name=gmm --class=gmm --list --text="" --title="设置工程属性" --width=300 --height=240 --column="MSP430 Driver(下载方式)" "rf2500[USB LaunchPad]" "uif[FET430UIF JATG]"`
	if [ ${#downloadMethod} -eq 0 ] ; then
		echo "取消设置"
		return 1
	else
		local CURTIME=$(date +%Y%m%d%H%M%S)
		local exchangefile=${gmmPro%/*}"/.forDwMethodChange"$CURTIME
		echo "">$exchangefile
		#echo $exchangefile
		cat $gmmPro|grep -v "downloadMethod="|grep -v "^successfulCreate$">$exchangefile
		cat $exchangefile>$gmmPro
		rm $exchangefile
		
		echo "downloadMethod=$downloadMethod">>$gmmPro
		echo "successfulCreate">>$gmmPro
		echo "下载方式: $downloadMethod"
	fi
}

setDownloadMethod
exit
