#!/bin/bash
########################
#gedit+mspgcc+mspdebug
#chendianbuji@gmail.com
########################		
function setLibPath(){
	local getLibPath=`cat ~/.gmm/.gmmrc |grep "^libPath="`
	local libPath=${getLibPath#*=}
	local oldLibPath=$libPath
	if [ ${#libPath} -eq 0 ] ; then
		local libPath="当前路径: [已丢失]"
	else
		local libPath="当前路径: $libPath"	
	fi
	local newLibPath=`zenity --entry --title="修改设置" --text="请输入新路径 $libPath" --entry-text="$oldLibPath"`
	if [ ${#newLibPath} -eq 0 ] ; then
		echo "取消设置"
		return 1
	fi
	local CURTIME=$(date +%Y%m%d%H%M%S)
	local exchangelibPathfile="/tmp/.libPath"$CURTIME
	echo "">$exchangelibPathfile
	#echo $exchangefile
	cat ~/.gmm/.gmmrc |grep -v "^libPath=">$exchangelibPathfile	
	echo "libPath=$newLibPath">~/.gmm/.gmmrc		
	cat $exchangelibPathfile>>~/.gmm/.gmmrc
	rm $exchangelibPathfile
	
	
	
	echo "新设路径: $newLibPath"
	
	
}

setLibPath
exit
