#!/bin/bash
########################
#gedit+mspgcc+mspdebug
#chendianbuji@gmail.com
########################		
function setMcuType(){
	local liveProDir=`cat ~/.gmm/.GMMCLOCK`
	if [ ${#liveProDir} -eq 0 ] ; then
		echo "没有活动工程，请设置"
		return 2
	else
		echo "活动工程: $liveProDir"
	fi
	
	local gmmPro=$liveProDir
	local getLibPath=`cat ~/.gmm/.gmmrc |grep "libPath"`
	local libPath=${getLibPath#*=}
	local mcuTypeList=`ls -p -A -1 $libPath|grep "^msp430"|grep ".h$"`
	
	if [ ${#mcuTypeList} -eq 0 ] ; then 
		echo "H库路径: [已丢失]"
		return 2;
	fi
	
	local mcuType=`cat $gmmPro|grep "^mcuType="`
	local mcuType=${mcuType#*=}
	
	if [ ${#mcuType} -eq 0 ] ; then
		local headfile=""
	else
		local headfile="当前器件: "$mcuType
	fi
	
	
	local mcuHeadfile=`zenity --name=gmm --class=gmm --list --text="$headfile" --title="设置工程属性" --width=300 --height=500 --column="MSP430型号" $mcuTypeList`
	local mcuType=${mcuHeadfile%.*}
	if [ ${#mcuType} -eq 0 ] ; then
		echo "器件型号: 未设置"
		echo "取消设置"
		return 1
	else
		local CURTIME=$(date +%Y%m%d%H%M%S)
		local exchangefile=${gmmPro%/*}"/.forTypeChange"$CURTIME
		echo "">$exchangefile
		#echo $exchangefile
		cat $gmmPro|grep -v "^mcuType="|grep -v "^mcuHeadfile="|grep -v "^successfulCreate$">$exchangefile
				
		cat $exchangefile>$gmmPro
		rm $exchangefile
		
		echo "mcuType=$mcuType">>$gmmPro
		echo "mcuHeadfile=$mcuHeadfile">>$gmmPro
		echo "successfulCreate">>$gmmPro
		echo "器件型号: $mcuType"
	fi
}

setMcuType
exit
