#!/bin/bash
########################
#gedit+mspgcc+mspdebug
#chendianbuji@gmail.com
########################
function gmMenu(){


	echo "--------------------------------"
	echo "GMM(gedit + mspgcc + mspdebug)"
	#echo "Version 0.11"
	#echo ""
	echo "chendianbuji@gmail.com for help"
	echo "--------------------------------"
	
	
	while true ; do
	
	
		local getAutoSearchPro=`cat ~/.gmm/.gmmini|grep "^autoSearchPro="`
		local autoSearchPro=${getAutoSearchPro#*=}
		case "${autoSearchPro}" in
			"[自动检索 ON]")
				bash ~/.gmm/project/gmmAutoSearchPro.sh
				;;
			*)	
				;;
		esac
	
		local liveProDir=`cat ~/.gmm/.GMMCLOCK`
		local showText="chendianbuji@gmail.com for help"
		if [ ${#liveProDir} -ne 0 ] ; then
			local showText="活动工程: "${liveProDir##*/}		
		fi	
	
	
		###############################################
		#防止多个gmMenu同时存在
		local pid=`ps -ef|grep "zenity --name=gmm --class=gmm "|grep -v "grep"|awk '{print $2}'`
		local pidArray=($pid)
		local pidNum=`ps -ef|grep "zenity --name=gmm --class=gmm "|grep -v "grep"|awk '{print $2}'|wc -l`
		#echo "pid="$pid
		if [ ${#pid} -ne 0 ] ; then
			for (( i = 0; i < pidNum; i++)); do
				exec kill ${pidArray[i]} &
				#echo ${pidArray[i]}
			done;
		fi
		################################################
	
		
		local gmmMenuOption=`zenity --name=gmm --class=gmm "工程" "设置" "工具" "帮助" "退出" --list --column="主菜单" --text="$showText $autoSearchPro" --title="Gedit Mspgcc Mspdebug - GMM" --height=350 --width=340 --cancel-label="Exit" --ok-label="确定"`
		
		#if [ ${#gmmProType} -eq 0 ] ; then
		#	echo "ERROR:未设置工程属性"
		#	return 2
		#fi
		#初始化
		local callBack=0
		case "${gmmMenuOption}" in
			"工程")
				bash ~/.gmm/project/gmmProject.sh
				local callBack=$?
				;;
			"设置")
				bash ~/.gmm/set/gmmSet.sh
				local callBack=$?
				;;
			"工具")
				bash ~/.gmm/tools/gmmTools.sh
				local callBack=$?
				;;
			"帮助")
				bash ~/.gmm/help/gmmHelp.sh
				local callBack=$?
				;;
			"退出")
				local CURTIME=$(date +%Y-%m-%d" "%H":"%M":"%S)
				echo "退出菜单 $CURTIME"
				return 0
				;;
			*)
				
				return 1
				;;
		esac
		#echo callBack=$callBack
		
		if [ $callBack -ne 0 ] ; then
			
			local CURTIME=$(date +%Y-%m-%d" "%H":"%M":"%S)
			echo "退出菜单: $CURTIME"			
			exit
		fi
		
		
	done
}
gmMenu
exit
