#!/bin/bash
########################
#gedit+mspgcc+mspdebug
#chendianbuji@gmail.com
########################
function gmmHelp(){
	local gmmMenuOption=`zenity --name=gmm --class=gmm "查看头文件(当前)" "查看头文件(全部)" "帮助文档" "返回" --list --column="帮助菜单" --text="chendianbuji@gmail.com for help" --title="帮助" --height=350 --width=280 --cancel-label="Exit" --ok-label="确定"`
	local callBack=0
	case "${gmmMenuOption}" in
	
		"查看头文件(当前)")
			bash ~/.gmm/help/gmmScanHeadfile.sh
			;;
			
		"查看头文件(全部)")
			bash ~/.gmm/help/gmmScanAllHeadfile.sh
			;;
		
		"帮助文档")
			bash ~/.gmm/help/gmmScanSupport.sh
			local callBack=$?			
			;;
		
		
			
		"返回")
			#echo "返回"
			return 0
			;;
		*)
			return 1
			;;
	esac
	
	if [ $callBack -ne 0 ] ; then			
		local CURTIME=$(date +%Y-%m-%d" "%H":"%M":"%S)
		echo "退出菜单 $CURTIME"			
		exit
	fi


}
gmmHelp
exit
