#!/bin/bash
########################
#gedit+mspgcc+mspdebug
#chendianbuji@gmail.com
########################
function gmmScanHeadflie(){
	local liveProDir=`cat ~/.gmm/.GMMCLOCK`
	if [ ${#liveProDir} -eq 0 ] ; then
		echo "没有活动工程，请设置"
		return 2
	else
		echo "活动工程: $liveProDir"
	fi
	
	local gmmPro=$liveProDir
	
	local getLibPath=`cat ~/.gmm/.gmmrc |grep "^libPath="`
	local libPath=${getLibPath#*=}
	
	local mcuType=`cat $gmmPro|grep "^mcuType="`
	local mcuType=${mcuType#*=}
	local headfile=$mcuType".h"
	
	echo "headfile: "$headfile
	
	local gmmSuc=`cat $gmmPro|grep "^successfulCreate$"`
	if [ ${#gmmSuc} -eq 0 ] ; then
		echo "ERROR: 工程当初未能成功建立，无法使用"
		return 2
	fi
	
	
	if [ ${#headfile} -eq 0 ] ; then
		echo "ERROR: 工程信息丢失"
		return 0
	fi
	
	zenity --text-info --filename=$libPath"/"$headfile --width=600 --height=600 --title=$headfile"(只读)"  --ok-label="返回" --cancel-label="退出"  --editable

}
gmmScanHeadflie
exit

