#!/bin/bash
########################
#gedit+mspgcc+mspdebug
#chendianbuji@gmail.com
########################
function setLivePro(){

	local gmmPro=`zenity --name=gmm --class=gmm --file-selection --file-filter="*.gmm" --title="打开工程"`
	local isProOpen=${#gmmPro}
	#echo $isProOpen
	if [ $isProOpen -eq 0 ] ;then
		echo "取消操作"
		return 1;
	fi
	local gmmDir=${gmmPro%/*}
	local gmmProName=${gmmPro##*/}

	echo $gmmPro>~/.gmm/.GMMCLOCK
	local isClockCreate=`echo $?`

	local liveProDir=`cat ~/.gmm/.GMMCLOCK`
	
	local mainName=`cat $gmmPro|grep "^mainName="`
	local mainName=${mainName#*=}
	local gmmDir=`cat $gmmPro|grep "^gmmDir="`
	local gmmDir=${gmmDir#*=}
	
	local gmmSuc=`cat $gmmPro|grep "^successfulCreate$"`
	if [ ${#gmmSuc} -eq 0 ] ; then
		echo "ERROR: 工程当初未能成功建立，无法使用，请修复"
		local CURTIME=$(date +%Y-%m-%d" "%H":"%M":"%S)
		echo $CURTIME
		return 2
	fi
	
	exec gedit $gmmDir"/"$mainName &
	
	
	if [ $isClockCreate -eq 0 ] ;then
			echo "打开工程: "$gmmProName
			local CURTIME=$(date +%Y-%m-%d" "%H":"%M":"%S)
			echo $CURTIME
			notify-send "打开 $gmmProName" "当前活动工程 $liveProDir"
			return 0
	else 
		echo "ERROR: 活动工程设置失败 当前活动工程  $liveProDir"
		local CURTIME=$(date +%Y-%m-%d" "%H":"%M":"%S)
		echo $CURTIME
		notify-send "$gmmProName 工程打开失败" "当前活动工程  $liveProDir"
		return 2	
	fi
}
setLivePro
exit
