#!/bin/bash
########################
#gedit+mspgcc+mspdebug
#chendianbuji@gmail.com
########################		
function setAutoSearchPro(){
	local getAutoSearchPro=`cat ~/.gmm/.gmmini|grep "^autoSearchPro="`
	local autoSearchPro=${getAutoSearchPro#*=}
	local oldAutoSearchPro=$autoSearchPro
	if [ ${#autoSearchPro} -eq 0 ] ; then
		echo "autoSearchPro=[自动检索 OFF]">~/.gmm/.gmmini
	fi
	
	local newAutoSearchPro=`zenity --name=gmm --class=gmm "[自动检索 ON]" "[自动检索 OFF]" --list --column="请设置自动检索工程属性" --text="当前开关: $oldAutoSearchPro" --title="Gedit Mspgcc Mspdebug - GMM" --cancel-label="取消" --ok-label="确定"`
	if [ ${#newAutoSearchPro} -eq 0 ] ; then
		echo "取消设置"
		return 1
	fi
	
	local CURTIME=$(date +%Y%m%d%H%M%S)
	local exchangeAutoSearchProfile="/tmp/.autoSearchPro"$CURTIME
	echo "">$exchangeAutoSearchProfile

	cat ~/.gmm/.gmmrc |grep -v "^autoSearchPro=">$exchangeAutoSearchProfile	
	echo "autoSearchPro=$newAutoSearchPro">~/.gmm/.gmmini		
	cat $exchangeAutoSearchProfile>>~/.gmm/.gmmini
	rm $exchangeAutoSearchProfile
	
	
	
	echo "新设方式: $newAutoSearchPro"
}

setAutoSearchPro
exit
